/*                         _
 *   ___  __ _  __ _ _   _(_)
 *  / __|/ _` |/ _` | | | | |
 *  \__ \ (_| | (_| | |_| | |
 *  |___/\__,_|\__, |\__,_|_|
 *             |___/
 *
 * Cross-platform library which helps to develop web servers or frameworks.
 *
 * Copyright (C) 2016-2021 Silvio Clecio <silvioprog@gmail.com>
 *
 * Sagui library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * Sagui library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sagui library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

#ifndef SG_EXPR_H
#define SG_EXPR_H

#include "sg_macros.h"
#include "expr.h"
#include "sagui.h"

struct sg_expr {
  struct expr *handle;
  struct expr_var_list *vars;
  struct expr_func *funcs;
  int near;
  int err;
};

struct sg_expr_argument {
  vec_expr_t *handle;
};

SG__EXTERN void sg__expr_clear(struct sg_expr *expr);

SG__EXTERN expr_num_t sg__expr_func(__SG_UNUSED struct expr_func *func,
                                    vec_expr_t *args, void *context);

#endif /* SG_EXPR_H */
